Package org.zkoss.zul

## Class Center

- java.lang.Object
- - org.zkoss.zk.ui.AbstractComponent
  - - org.zkoss.zk.ui.HtmlBasedComponent
    - - org.zkoss.zul.impl.XulElement
      - - org.zkoss.zul.LayoutRegion
        - - org.zkoss.zul.Center

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Component`, `Scope`, `ComponentCtrl`

      public class Center
      extends LayoutRegion

  A center region of a borderlayout. Note: This component doesn't support the following method, including `setSplittable(boolean)`, `setOpen(boolean)`, `setCollapsible(boolean)`, `setMaxsize(int)`, `setMinsize(int)`, `setHeight(String)`, `setWidth(String)`, `getSize()`, `setSize(String)`, `setSlide(boolean)`, `setSlidable(boolean)`, `setClosable(boolean)` and `setVisible(boolean)`.

  Default `getZclass()`: z-center.

  Since:
    5.0.0
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.HtmlBasedComponent

      `HtmlBasedComponent.ExtraCtrl`

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.AbstractComponent

      `AbstractComponent.Children, AbstractComponent.ForwardInfo, AbstractComponent.TargetInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.ui.HtmlBasedComponent

      `_zclass`

    - ### Fields inherited from interface org.zkoss.zk.ui.Component

      `APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

    - ### Fields inherited from interface org.zkoss.zk.ui.sys.ComponentCtrl

      `AFTER_CHILD_ADDED, AFTER_CHILD_REMOVED, AFTER_CLONED, AFTER_PAGE_ATTACHED, AFTER_PAGE_DETACHED, AFTER_PARENT_CHANGED, CE_BUSY_IGNORE, CE_DUPLICATE_IGNORE, CE_IMPORTANT, CE_NON_DEFERRABLE, CE_REPEAT_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Center()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int[]` | `getDefaultCmargins()` | Returns the default collapsed margin ([3, 3, 3, 3]).
    `java.lang.String` | `getPosition()` | Returns `Borderlayout.CENTER`.
    `java.lang.String` | `getSize()` | The size can't be returned in this component.
    `java.lang.String` | `getZclass()` | Returns the ZK Cascading Style class for this component.
    `void` | `setClosable​(boolean closable)` | Center region can't be closed.
    `void` | `setCmargins​(java.lang.String cmargins)` | Center region can't be enabled the collapsed margin functionality.
    `void` | `setCollapsible​(boolean collapsible)` | Center region can't be enabled the collapse functionality.
    `void` | `setHeight​(java.lang.String height)` | The height can't be specified in this component because its height is determined by other region components (`North` or `South`).
    `void` | `setMaxsize​(int maxsize)` | Center region can't be enabled the maxsize.
    `void` | `setMinsize​(int minsize)` | Center region can't be enabled the minsize.
    `void` | `setOpen​(boolean open)` | Center region can't be closed.
    `void` | `setSize​(java.lang.String size)` | The size can't be specified in this component.
    `void` | `setSlidable​(boolean slidable)` | Center region can't be slided.
    `void` | `setSlide​(boolean slide)` | Center region can't be slided.
    `void` | `setSplittable​(boolean splittable)` | Center region can't be enabled the split functionality.
    `boolean` | `setVisible​(boolean visible)` | This component can't be hidden.
    `void` | `setWidth​(java.lang.String width)` | The width can't be specified in this component because its width is determined by other region components (`West` or `East`).

    - ### Methods inherited from class org.zkoss.zul.LayoutRegion

      `beforeChildAdded, beforeParentChanged, clone, getBorder, getCaption, getCmargins, getMargins, getMaxsize, getMinsize, getTitle, insertBefore, isAutoscroll, isClosable, isCollapsible, isOpen, isSlidable, isSlide, isSplittable, onChildRemoved, renderProperties, service, setAutoscroll, setBorder, setMargins, setTitle`

    - ### Methods inherited from class org.zkoss.zul.impl.XulElement

      `getContext, getCtrlKeys, getPopup, getPropertyAccess, getTooltip, setContext, setContext, setContextAttributes, setCtrlKeys, setPopup, setPopup, setPopupAttributes, setTooltip, setTooltip, setTooltipAttributes`

    - ### Methods inherited from class org.zkoss.zk.ui.HtmlBasedComponent

      `addSclass, evalCSSFlex, focus, getAction, getClientAction, getDraggable, getDroppable, getExtraCtrl, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTabindexInteger, getTooltiptext, getTop, getVflex, getWidth, getZindex, getZIndex, removeSclass, removeSclass, setAction, setClass, setClientAction, setDraggable, setDroppable, setFocus, setHeight0, setHeightDirectly, setHflex, setHflex0, setHflexDirectly, setLeft, setLeftDirectly, setRenderdefer, setSclass, setStyle, setTabindex, setTabindex, setTooltiptext, setTop, setTopDirectly, setVflex, setVflex0, setVflexDirectly, setWidth0, setWidthDirectly, setZclass, setZindex, setZIndex, setZIndexDirectly`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractComponent

      `addAnnotation, addCallback, addClientEvent, addEventHandler, addEventListener, addEventListener, addForward, addForward, addForward, addForward, addMoved, addRedrawCallback, addScopeListener, addShadowRoot, addShadowRootBefore, addSharedEventHandlerMap, appendChild, applyProperties, beforeChildRemoved, destroyIndexCacheMap, detach, didActivate, didActivate, didDeserialize, didDeserialize, disableBindingAnnotation, disableClientUpdate, disableHostChanged, enableBindingAnnotation, enableHostChanged, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAuService, getAutag, getCallback, getChildren, getClientAttribute, getClientDataAttribute, getClientEvents, getDefaultMold, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getEventListenerMap, getEventListeners, getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstChild, getForwards, getId, getIndexCacheMap, getLastChild, getMold, getNextSibling, getPage, getParent, getPreviousSibling, getRedrawCallback, getRoot, getShadowFellowIfAny, getShadowRoots, getShadowVariable, getShadowVariable, getShadowVariable0, getSpaceOwner, getSpecialRendererOutput, getStubonly, getSubBindingAnnotationCount, getTemplate, getTemplateNames, getUuid, getWidgetAttributeNames, getWidgetClass, getWidgetListener, getWidgetListenerNames, getWidgetOverride, getWidgetOverrideNames, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasBindingAnnotation, hasFellow, hasFellow, hasSubBindingAnnotation, initIndexCacheMap, invalidate, isChildable, isDisabledHostChanged, isInitialized, isInvalidated, isListenerAvailable, isVisible, onChildAdded, onPageAttached, onPageDetached, onParentChanged, onWrongValue, query, queryAll, redraw, redrawChildren, removeAttribute, removeAttribute, removeAttribute, removeCallback, removeChild, removeEventListener, removeForward, removeForward, removeRedrawCallback, removeScopeListener, removeShadowRoot, render, render, render, renderPropertiesOnly, replace, response, response, response, service, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAuService, setAutag, setClientAttribute, setClientDataAttribute, setDefinition, setDefinition, setId, setMold, setPage, setPageBefore, setParent, setStubonly, setStubonly, setSubBindingAnnotationCount, setTemplate, setVisibleDirectly, setWidgetClass, setWidgetListener, setWidgetOverride, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdateWidgetListener, smartUpdateWidgetOverride, toString, updateByClient, updateSubBindingAnnotationCount, willPassivate, willPassivate, willSerialize, willSerialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Center

          public Center()

  - ### Method Detail

    - #### getZclass

          public java.lang.String getZclass()

      Description copied from class: `HtmlBasedComponent`
      Returns the ZK Cascading Style class for this component. It usually depends on the implementation of the mold (`AbstractComponent.getMold()`).

      Default: null (the default value depends on element).

      `HtmlBasedComponent.setZclass(java.lang.String)`) will completely replace the default style of a component. In other words, the default style of a component is associated with the default value of `HtmlBasedComponent.getZclass()`. Once it is changed, the default style won't be applied at all. If you want to perform small adjustments, use `HtmlBasedComponent.setSclass(java.lang.String)` instead.

      Overrides:
        `getZclass` in class `LayoutRegion`
      See Also:
        `HtmlBasedComponent.getSclass()`

    - #### setCmargins

          public void setCmargins​(java.lang.String cmargins)

      Center region can't be enabled the collapsed margin functionality.
      Overrides:
        `setCmargins` in class `LayoutRegion`
      See Also:
        `LayoutRegion.getCmargins()`, `LayoutRegion.getDefaultCmargins()`

    - #### setSplittable

          public void setSplittable​(boolean splittable)

      Center region can't be enabled the split functionality.
      Overrides:
        `setSplittable` in class `LayoutRegion`

    - #### setOpen

          public void setOpen​(boolean open)

      Center region can't be closed.
      Overrides:
        `setOpen` in class `LayoutRegion`

    - #### setCollapsible

          public void setCollapsible​(boolean collapsible)

      Center region can't be enabled the collapse functionality.
      Overrides:
        `setCollapsible` in class `LayoutRegion`

    - #### setMaxsize

          public void setMaxsize​(int maxsize)

      Center region can't be enabled the maxsize.
      Overrides:
        `setMaxsize` in class `LayoutRegion`

    - #### setMinsize

          public void setMinsize​(int minsize)

      Center region can't be enabled the minsize.
      Overrides:
        `setMinsize` in class `LayoutRegion`

    - #### getPosition

          public java.lang.String getPosition()

      Returns `Borderlayout.CENTER`.
      Specified by:
        `getPosition` in class `LayoutRegion`
      See Also:
        `Borderlayout.NORTH`, `Borderlayout.SOUTH`, `Borderlayout.EAST`, `Borderlayout.WEST`, `Borderlayout.CENTER`

    - #### setHeight

          public void setHeight​(java.lang.String height)

      The height can't be specified in this component because its height is determined by other region components (`North` or `South`).
      Overrides:
        `setHeight` in class `HtmlBasedComponent`

    - #### setWidth

          public void setWidth​(java.lang.String width)

      The width can't be specified in this component because its width is determined by other region components (`West` or `East`).
      Overrides:
        `setWidth` in class `HtmlBasedComponent`
      See Also:
        `HtmlBasedComponent.setWidthDirectly(java.lang.String)`, `AbstractComponent.disableClientUpdate(boolean)`

    - #### setVisible

          public boolean setVisible​(boolean visible)

      This component can't be hidden.
      Specified by:
        `setVisible` in interface `Component`
      Overrides:
        `setVisible` in class `AbstractComponent`
      Returns:
        the previous visibility

    - #### getSize

          public java.lang.String getSize()

      The size can't be returned in this component.
      Specified by:
        `getSize` in class `LayoutRegion`

    - #### setSize

          public void setSize​(java.lang.String size)

      The size can't be specified in this component.
      Specified by:
        `setSize` in class `LayoutRegion`

    - #### setSlide

          public void setSlide​(boolean slide)

      Center region can't be slided.
      Overrides:
        `setSlide` in class `LayoutRegion`

    - #### setSlidable

          public void setSlidable​(boolean slidable)

      Center region can't be slided.
      Overrides:
        `setSlidable` in class `LayoutRegion`
      Parameters:
        `slidable` - whether users can slide (preview) the region.

    - #### setClosable

          public void setClosable​(boolean closable)

      Center region can't be closed.
      Overrides:
        `setClosable` in class `LayoutRegion`
      Parameters:
        `closable` - whether users can open or close the region.

    - #### getDefaultCmargins

          protected int[] getDefaultCmargins()

      Returns the default collapsed margin ([3, 3, 3, 3]).
      Specified by:
        `getDefaultCmargins` in class `LayoutRegion`
      Since:
        5.0.5